import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderCountOutputTypeSelectObjectSchema as CloudFolderCountOutputTypeSelectObjectSchema } from './CloudFolderCountOutputTypeSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CloudFolderCountOutputTypeSelectObjectSchema).optional()
}).strict();
export const CloudFolderCountOutputTypeArgsObjectSchema = makeSchema();
export const CloudFolderCountOutputTypeArgsObjectZodSchema = makeSchema();
